## JPackage Maven Plugin

Maven plugin for [jpackage](https://openjdk.java.net/jeps/343) tool available since JDK-14.

### Goals Overview

* [jpackage:jpackage](./jpackage-mojo.html) generates application package.

### Usage

  General instructions on how to use the JPackage Maven Plugin can be found on the [usage page](./usage.html). Some more
  specific use cases are described in the examples given below.

  If you feel like the plugin is missing a feature or has a defect, you can fill a feature request or bug report in our
  [issue management system](https://github.com/petr-panteleyev/jpackage-maven-plugin/issues). When creating a new issue,
  please provide a comprehensive description of your concern. Especially for fixing bugs it is crucial that the developers
  can reproduce your problem. For this reason, entire debug logs, POMs or most preferably little demo projects attached
  to the issue are very much appreciated.

### Examples

To provide you with better understanding of some usages of the JPackage Maven Plugin,
you can take a look into the following examples:

* [Image with full JRE](./examples/full-jre.html)
* [Configuration via executions](./examples/executions.html)
* [Configuration via profiles](./examples/profiles.html)
